SVNLocationEntry (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.io.SVNLocationEntry class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.io
Class SVNLocationEntry

    java.lang.Object
      org.tmatesoft.svn.core.io.SVNLocationEntry

public class SVNLocationEntry
extends Object

The SVNLocationEntry represents a mapping of a path to its revision. That is, the repository path of an item in a particular revision.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.
See Also:
  `ISVNLocationEntryHandler`

Constructor Summary
`SVNLocationEntry(long revision, String path)` Constructs an SVNLocationEntry object.
`SVNLocationEntry(long revision, String path, boolean isResultOfMerge, Map mergedMergeInfo)` Constructs an SVNLocationEntry object.

Method Summary
`Map` | `getMergedMergeInfo()` Returns merge info for this path@revision.
`String` | `getPath()` Gets the path.
`long` | `getRevision()` Gets the revision number.
`boolean` | `isResultOfMerge()` Tells if this path@revision is a result of a merge operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNLocationEntry

    public SVNLocationEntry(long revision,
                            String path)

  Constructs an SVNLocationEntry object.

Parameters:
  `revision` - a revision number
  `path` - an item's path in the reposytory in the `revision`

### SVNLocationEntry

    public SVNLocationEntry(long revision,
                            String path,
                            boolean isResultOfMerge,
                            Map mergedMergeInfo)

  Constructs an SVNLocationEntry object.

Parameters:
  `revision` - a revision number
  `path` - an item's path in the repository in the `revision`
  `isResultOfMerge` - whether this `revision` is a result of a merge
  `mergedMergeInfo` - merge info of this path@revision
Since:
  1.2.0

Method Detail

### getPath

    public String getPath()

  Gets the path.

  Returns:
    a path

### getRevision

    public long getRevision()

  Gets the revision number.

  Returns:
    a revision number.

### isResultOfMerge

    public boolean isResultOfMerge()

  Tells if this path@revision is a result of a merge operation.

  Note: this is always false for location entry objects received through the public APIs. This method is not intended for API users.

  Returns:
    true is it's a result of a merge; otherwise false
  Since:
    1.2.0

### getMergedMergeInfo

    public Map getMergedMergeInfo()

  Returns merge info for this path@revision.

  Note: this is always null for location entry objects received through the public APIs. This method is not intended for API users.

  Returns:
    merge info
  Since:
    1.2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.